Bug 1290210 - Longer time spent in db_save_inventory during large provider refresh when VIMBroker is enabled
Longer time spent in db_save_inventory during large provider refresh when VIM...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance (Show other bugs)
5.3.0
Unspecified Unspecified
medium Severity high
: GA
: 5.5.5
Assigned To: dmetzger
Alex Krzos
: ZStream
Depends On: 1201480
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 16:01 EST by John Prause
Modified: 2016-07-19 12:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1201480
Environment:
Last Closed: 2016-06-30 17:18:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 dmetzger 2016-06-30 17:18:19 EDT
There have been multiple performance related changes in the refresh logic, testing with QE Large VMware environment. Testing of 5.5.5.0-1 with QE Large VMware model results:

Initial Provider Refresh with broker: db_save_inventory=>253.3471006249535

Initial Provider Refresh without broker: db_save_inventory=>254.23796354868896

Closing as problem is is not reproducible with 5.5.5.0-1.

Note You need to log in before you can comment on or make changes to this bug.